[ng\:cloak], [ng-cloak], [data-ng-cloak], [x-ng-cloak], .ng-cloak, .x-ng-cloak {
    display: none !important;
}

body {
    background-image: 
    linear-gradient(rgba(255,255,255,.1) 2px, transparent 2px), 
    linear-gradient(90deg, rgba(255,255,255,.1) 2px, transparent 2px), 
    linear-gradient(rgba(255,255,255,.3) 1px, transparent 1px), 
    linear-gradient(90deg, rgba(255,255,255,.3) 1px, transparent 1px);
    background-size: 100px 100px, 100px 100px, 20px 20px, 20px 20px;
    background-position: -2px -2px, -2px -2px, -1px -1px, -1px -1px;
}

.header-inner {
    padding: 7px 0;
}

#menu-trigger:before {
    top: 3px;
}

#header {
    height: 50px;
    min-height: 50px;
    box-shadow: 0 3px 5px rgba(0, 0, 0, 0.35);
}

#sidebar {
    top: 50px;
    height: calc(100% - 50px);
}

#chat {
    top: 50px;
    height: calc(100% - 50px);
}

#top-search-wrap {
    height: 50px;
}

#top-search-wrap #top-search-close {
    top: 5px;
}

.tsw-inner {
    padding: 5px 15px;
}

#main {
    top: 50px;
    height: calc(100% - 50px);
    position: absolute;
    width: 100%;
    overflow: hidden;
    padding: 0;
}

section#content {
    /* position: absolute; */
    width: 100%;
    height: 100%;
    padding: 10px;
    overflow-y: scroll;
    overflow-x: hidden;
}

@media (min-width: 1199px) {
    body.sw-toggled .breadcrumb {
        padding: 10px 33px 11px;
    }
}

.breadcrumb {
    border-bottom: none;
    margin-bottom: 0;
}

.breadcrumb > li > a:hover {
    color: #fff;
}

.breadcrumb > li > a {
    color: #d0d0d0;
}

.breadcrumb > .active {
    color: #000;
    opacity: .5;
}

body.sw-toggled #sidebar {
    box-shadow: 0 -3px 10px 1px rgba(100, 100, 100, .5);
}

#chat .chat-search .form-control {
    background-image: url("../img/icons/search.png");
}

.sidebar-inner .main-menu > li > a {
    border-bottom: 1px solid rgba(0, 0, 0, 0.05);
    transition: all .2s;
    cursor: pointer;
}

.sidebar-inner .main-menu > li.toggled > a {
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2), 0 -1px 1px 1px rgba(150, 150, 150, 0.1);
    opacity: .7;
}

.sidebar-inner .main-menu > li.toggled > ul {
    background-color: #f6f6f6;
    border-width: 0 0 1px 0;
    border-style: solid;
    border-color: rgba(0, 0, 0, 0.05);
}

.sidebar-inner .main-menu > li > ul > li > a {
    padding: 8px 20px 8px 30px
}

.sidebar-inner .main-menu > li > ul > li > a i {
    padding-right: 10px;
    width: 16px;
}

@media screen and (min-width: 768px) {
    .block-header {
        padding: 0 22px;
    }
}

.block-header {
    margin-bottom: 15px;
}

.block-header > h2 {
    text-transform: none;
}

.table {
    table-layout: fixed;
}

.table > thead > tr > th {
    border-color: #D8D4D4;
    background-color: #F6F6F6; /*#DFDFE1;*/
    color: #4A5D5B;
    border-width: 1px 1px 1px 1px;
    text-transform: none;
}

.listview .lv-header-alt {
    padding: 15px;
}
.listview.lv-bordered.lv-lg {
    /* border-bottom: 1px solid rgba(216, 212, 212, 0.54); */
}
@media (min-width: 480px) {
    .listview.lv-lg .lv-item {
        padding: 17px 35px 17px 15px;
    }   
}

.btn {
    text-transform: none;
}

textarea.form-control {
    resize: vertical;
}

body:not(.logged) #sidebar, 
body:not(.logged) #menu-trigger,
body:not(.logged) #toggle-width, 
body:not(.logged) #top-search {
    display: none;
}

.container--login {
    max-width: 500px;
}

@media screen and (min-width: 1200px) {
    body:not(.logged) .container--login {
        margin: 0;
        margin-left: calc(((100% - 268px) / 2) - 110px);
    }
}

.form-control {
    border-radius: 1px;
    padding: 4px 10px !important;
    box-shadow: 0 0 2px 1px rgba(0, 0, 0, .1) !important;
}

.form-control:focus {
    box-shadow: 0 0 3px 1px rgba(0, 0, 0, .3) !important;
}
input[disabled]:after {
    height: 0;
}

#loading-bar .bar {
    height: 50px;
}

.lvh-label {
    color: #515151;
    font-size: 16px;
}

/* ********* */
/* ANIMATION */
/* ********* */

/* SIMPLE */

.simple.effect .effect-card.effect-active .list {
    display: none;
}

.simple.effect .effect-card:not(.effect-active) .form {
    display: none;
}

/* FLIP */

.flip.effect {
    -webkit-perspective: 800px;
    margin: 0 0 10px 0;
}

.flip.effect .effect-card .list,
.flip.effect .effect-card .form {
    background-color: #fff;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
    transition: transform .3s;
}

.flip.effect .effect-card.effect-active {
    -webkit-transform: rotatey(-180deg);
}

.flip.effect .effect-card {
    -webkit-transform-style: preserve-3d;
    -webkit-transition: 0.7s;
    background-color: #fff;
}

.flip.effect .effect-card .face {
    -webkit-backface-visibility: hidden;
}

.flip.effect .effect-card.effect-active .list {
    display: none;
}

.flip.effect .effect-card:not(.effect-active) .form {
    display: none;
}

.flip.effect .effect-card.effect-active .form {
    -webkit-transform: rotatey(180deg);
}



/* SLIDEIN */

.effect.slidein .effect-card .form.ng-enter {
    animation: slideInRight 0.7s ease;
}
.effect.slidein .effect-card .form.ng-leave {
    animation: slideOutLeft 0.7s ease;
}
.effect.slidein .effect-card .list.ng-enter {
    animation: slideInRight 0.7s ease;
}
.effect.slidein .effect-card .list.ng-leave {
    animation: slideOutLeft 0.7s ease;
}



/* LIGHTSPEED */

.lightspeed.effect {
    -webkit-perspective: 800px;
    margin: 0 0 10px 0;
}

.lightspeed.effect .effect-card .list,
.lightspeed.effect .effect-card .form {
    position: absolute;
    top: 0;
    width: 100%;
    background-color: #fff;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
    transition: transform .7s;
    margin: 0 0 10px 0;
}

.lightspeed.effect .effect-card .form {
    z-index: 5;
}

.lightspeed.effect .effect-card.effect-active .list {
    transform: translate3d(120%, 0, 0);
}

.lightspeed.effect .effect-card:not(.effect-active) .list {
    transform: translate3d(0, 0, 0);
}

.lightspeed.effect .effect-card.effect-active .form {
    transform: translate3d(0, 0, 0);
}

.lightspeed.effect .effect-card:not(.effect-active) .form {
    transform: translate3d(120%, 0, 0);
}


/* NG-VIEW */

/* slide in from the right */
@keyframes slideInRight {
    from {
        transform: translateX(100%);
    }
    to {
        transform: translateX(0);
    }
}

/* slide in from the bottom */
@keyframes slideInUp {
    from {
        transform: translateY(100%);
    }
    to {
        transform: translateY(0);
    }
}

.ng-enter {
    z-index: 8888;
}

.ng-leave {
    display: none;
}

.page-view.ng-enter {
    animation: slideInRight 0.7s ease;
}

.page-view.ng-leave {
    animation: slideOutLeft 0.7s ease;
}

.card-form--column {
    padding-right: 0;
    padding-left: 0;
    border-radius: 1px;
}
.card-form--column:not(.card-form--column-detail) {
    border-width: 0 1px 0 0;
    border-color: #EEEEEE;
    border-style: solid;
}
.card-form--column-detail .lv-header-alt {
    background-color: #EEEEEE;
}
.card-form .actions.open {
    z-index: 20;
}
.card--popup {
    position: fixed;
    z-index: 15;
    background: rgba(0,0,0,.5);
    width: 100%;
    top: 0;
    bottom: 0;
    left: 0;
    height: 100%;
    padding: 20px;
}

.card--popup .card {
    margin: 55px 0 0 0;
    margin-left: calc((100% - 800px) / 2);
    border-radius: 2px;
    max-width: 800px;
    padding: 15px 10px 0 10px;
}
.card--popup .card-body {
    /* padding: 30px 0; */
}

.table > tbody > tr:last-child > td, .table > tfoot > tr:last-child > td {
    padding-bottom: 10px;
}
.form-control[disabled], .form-control[readonly], fieldset[disabled] .form-control {
    opacity: .6;
    box-shadow: none !important;
}
.chosen-container.chosen-container-single {
    width: 100% !important;
    box-shadow: 0 0 2px 1px rgba(0, 0, 0, .1) !important;
}
.chosen-container-single .chosen-single span {
    margin-left: 10px;
}
.chosen-container-single .chosen-single {
    text-transform: none;
}
.chosen-container.chosen-container-single.chosen-container-active {
    box-shadow: 0 0 3px 1px rgba(0, 0, 0, .3) !important;
}
.table-bordered {
    border: none;
}
form {
    padding: 15px 0 0 0;
}
.modal--open .modal {
    display: block;
    /* opacity: .5; */
    top: 0;
}

@media (min-width: 768px) {
    .tab-nav > li > a {
        padding: 10px 15px;
        margin: 0  2px;
        background-color: transparent;
        /*border-radius: 3px 3px 0 0;*/
        /*border-width: 1px 1px 0 1px;*/
        /*border-style: solid;*/
        /*border-color: rgba(0, 150, 136, 0.1);*/
    }
    .tab-nav > li.active > a {
        background-color: rgba(0, 150, 136, 0.06);
    }
    .tab-nav:not(.tn-vertical) {
        /*box-shadow: inset 0 -2px 0 0 rgba(0, 150, 136, 0.18);*/
    }
}
.listview.lv-lg .lv-item:hover {
    background-color: #F6F6F6;
}
.card--form {
    border-top: 1px solid rgba(216, 212, 212, 0.54);
}
.card--form.no-records {
    padding: 16px 18px;
    background: #fff;
}
.card--form .help-block {
    float: right;
    margin: 0 10px;
}
.sub-menu ul > li > a {
    color: #5A5A5A;
}
.fileinput-filename, .fileinput.fileinput-new .fileinput-filename--angular {
    display: none;
}
.fileinput-filename--angular {
    vertical-align: middle;
    display: inline-block;
    overflow: hidden;
}

.lv-header-alt .pagination {
    margin: 0 20px;
    padding: 0;
    float: right;
}
.lv-header-alt .input {
    width: 60px;
    border: 1px solid #E2E2E2;
    background: transparent;
    height: 29px;
    padding: 4px 4px 4px 9px;
    transition: all .3s;
    border-radius: 2px;
    /*box-shadow: inset 0 -1px 2px 1px #E2E2E2;*/
}
.lv-header-alt .input:focus {
    /*box-shadow: 1px 2px 3px 1px rgba(0,0,0,0.1) !important;*/
    background-color: #fff;
    box-shadow: 0 0 3px 1px rgba(0, 0, 0, .1) !important;
}
.lv-header-alt .pagination > li > a, .lv-header-alt .pagination > li > span {
    height: 30px;
    width: 30px;
}
.lv-header-alt .pagination > li > a, .lv-header-alt .pagination > li > span {
    line-height: 27px;
}
.lvh-search {
    -webkit-animation-name: none;
    animation-name: initial;
    -webkit-animation-duration: 0s;
    animation-duration: 0s;
    -webkit-animation-fill-mode: none;
    animation-fill-mode: none;
}
.actions > li > a.a-danger > i, .actions > a.a-danger > i {
    color: #fff;
}
.actions > li > a.a-danger, .actions > a.a-danger {
    background: rgb(244, 67, 54);
    border-radius: 50%;
    box-shadow: 0 0 2px 1px rgb(167, 160, 156);
}
.input.input--search {
    width: 250px; 
    padding: 0px 2px 1px 26px; 
    background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAB4AAAAeCAMAAAAM7l6QAAAAllBMVEWqqqr///+qqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqu0HwzAAAAMXRSTlMAAAMGCQwPFRseISQnMDM5PD9CTlRjb3J4e4SHio2ZnJ+ipa63usDDzNjb3uHq8/b8ffPYHgAAAJNJREFUeNrV0kkOglAQRdESQbHvFUERe0RU7v43Z34iIZGCOXdYZ/ZS0qqt+Sz/lXkYXOPDsoo3H0wXV+UVv+K2wu4bdj17kcJWYQ+O5jyBVOEI5mJKoFvmU84PlT0IjY4yXlLmfga+I7Mn7BWWgLy7o7DlZ4Vro47DOD2vI+Bm/XOR8Wk1S0jSqWEZ2KJzUdMf+QvuQxTKvpc1TQAAAABJRU5ErkJggg=="); 
    background-position: -2px -2px; 
    background-repeat: no-repeat;
}
.input--pages {
    width: 40px;
    padding: 5px 0;
}
.font-play {
    color: #ffffff !important;
    text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.5) !important;
    font-size: 24px;
    font-family: 'Play';
}
#toggle-width.dropdown .tm-icon {
    transition: all .3s;
}
#toggle-width.dropdown.open .tm-icon {
    background-color: rgba(0, 0, 0, 0.12);
    border-radius: 2px;
    padding: 0 6px;
}
[data-current-skin="indigo"] {
    background-color: rgb(16, 108, 200);
}
.bgm-indigo {
    background-color: rgb(16, 108, 200) !important;
}
.fg-line:not([class*=has-]):after {
    background: rgb(16, 108, 200);
}
.chosen-container-single .chosen-single:after {
    background: rgb(16, 108, 200);
}
.tab-nav:not(.tn-vertical):not([data-tab-color]) > li > a:after {
    background: rgb(16, 108, 200);
}
.checkbox .input-helper:after {
    border-bottom: 2px solid rgb(16, 108, 200);
    border-left: 2px solid rgb(16, 108, 200);
}
.radio .input-helper:after {
    background: rgba(16, 108, 200, .9);
}
.fg-line.has-error:after {
    background: #F44336;
}
.fab-button--toolbar {
    bottom: 10px;
    right: 10px;
    position: absolute;
    z-index: 10;
    padding: 10px;
}